For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • GETList verification requests
      • POSTCreate a verification request
      • GETGet a verification request
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsVerification Requests

List verification requests

GET
/v1/verification_requests
GET
/v1/verification_requests
$curl https://api.givechariot.com/v1/verification_requests \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "vr_01jpjen1s23s29kkmnjsb6fzga",
5 "ein": "123456789",
6 "organization_name": "Local Community Foundation",
7 "organization_id": "org_01j8rs605a4gctmbm58d87mvsj",
8 "status": "needs_review",
9 "website": "https://localfoundation.org",
10 "recommended_mailing_address": {
11 "line1": "123 Main St",
12 "city": "San Francisco",
13 "state": "CA",
14 "zip_code": "94105",
15 "line2": "Suite 100"
16 },
17 "verified_at": "2024-01-15T09:30:00Z",
18 "failed_at": "2024-01-15T09:30:00Z",
19 "created_at": "2020-01-31T23:00:00Z",
20 "updated_at": "2020-01-31T23:00:00Z"
21 }
22 ],
23 "next_page_token": "string"
24}
Returns a paginated list of all verification requests for the authenticated grantmaker.
Was this page helpful?
Previous

Create a verification request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

einstringOptional
Filter by EIN. If provided, only returns verification requests matching this EIN.
page_limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

page_tokenstringOptional
A token to use to retrieve the next page of results.

Response

The response for VerificationRequests.list
resultslist of objects
next_page_tokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the page_token). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error